Subject: bug#62847: 29.0.90; Propertized space in Org Agenda's mode-name

From: Daniel Mendler <[email-masked]>
Date: Sun, 16 Apr 2023 14:38:00 +0200

Hello Mattias!

> That requires a 'literal' flag for string objects and there's no
obvious space  for one, but perhaps we can grab the LSB of the
`intervals` pointer.

There was a recent report where I pointed out a segfault for `aset` on
"literal strings" (symbol names which are C strings located in the
read-only memory of the process). If you consider adding such a literal
string flag or read-only check, could this please be added there too? I
am in favor of adding immutable strings to Elisp. This would certainly
open up optimization potential for the bytecode compiler, in addition to
guarding against bugs like the one being discussed here.

Daniel